#
# spec file for package gedit (Version 0.9.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel gconf gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gtk gtk-devel imlib imlib-devel indent libglade libglade-devel libjpeg libpng libtiff libungif libunicode libxml libxml-devel oaf oaf-devel orbit orbit-devel popt xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gconf gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gnome-vfs gnome-vfs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libglade libglade-devel libjpeg libpng libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gedit
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Applications
Autoreqprov:  on
Summary:      GNOME Editor
Version:      0.9.6
Release:      172
URL:          http://gedit.sourceforge.net/
Source:       gedit-%{version}.tar.bz2
Patch0:       gedit-0.9.4-fontset.patch
Patch1:       gedit-%{version}-includes.patch
Patch2:       gedit-%{version}-ia64.patch
BuildRoot:    /var/tmp/gedit-root

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.  It supports a split-screen mode and plugins that
make it even more powerful.  Developers can develop their
own plugins if they desire.

Authors:
--------
    Alex Roberts <bse@dial.pipex.com>
    Andy Kahn <kahn@zk3.dec.com>
    Chris Lahey <clahey@umich.edu>
    Evan Lawrence <evan@worldpath.net>
    Martin Baulig <martin@home-of-linux.org>
    Nat Friedman <nat@nat.org>
    Raja R Harinath <harinath@cs.umn.edu>

SuSE series: gnm

%prep
%setup
%patch0 -p 1
%patch1
%patch2

%build
%{?suse_update_config:%{suse_update_config}}
PATH=$PATH:/opt/gnome/bin
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} \
        --localstatedir=/var/lib \
        --sysconfdir=%{sysconfdir}
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README* COPYING NEWS TODO AUTHORS THANKS ABOUT-NLS BUGS ChangeLog FAQ
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/man/man1/*
%{prefix}/share/gedit
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*

%changelog -n gedit
* Mon May 21 2001 - pmladek@suse.cz
- fixed cast warnings on ia64
* Wed Apr 25 2001 - cihlar@suse.cz
- fixed includes
- fixed neededforbuild
* Sat Mar 24 2001 - egger@suse.de
- Updated to verion 0.9.6.
- Further cleanups.
* Wed Jan 17 2001 - violiet@suse.de
- added fontset patch to display Japanese and Korean correctly
  in the text widget.
* Mon Jan 08 2001 - cihlar@suse.cz
- fixed to build on older distros
* Sun Nov 26 2000 - egger@suse.de
- Cleaned up the specfile.
- Updated to 0.9.4.
* Wed Nov 08 2000 - ro@suse.de
- added esound-devel to neededforbuild
* Thu Nov 02 2000 - cihlar@suse.cz
- Update to version 0.9.3
- bzipped sources
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Sep 25 2000 - ro@suse.de
- fixed neededforbuild
* Mon Aug 07 2000 - cihlar@suse.cz
- Update to version 0.9.0
* Wed May 10 2000 - cihlar@suse.cz
- Update: version 0.7.0
* Mon Feb 14 2000 - grimmer@suse.de
- Group Tag
- use version macro in spec file
- spec file cleanups
* Mon Nov 29 1999 - ke@suse.de
- Update: version 0.6.1 (bugfix release (memory leaks)).
* Thu Nov 25 1999 - ke@suse.de
- Update: version 0.6.0 (bugfix release).
* Fri Oct 22 1999 - ke@suse.de
- Update: version 0.5.5.
* Tue Sep 21 1999 - ro@suse.de
- src/command.c: don't redefine function gnome_app_remove_menu_range
  which is already in libgnomeui
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 16 1999 - ke@suse.de
- Update: version 0.5.4.
- neededforbuild libungif instead of libgif.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jun 28 1999 - ke@suse.de
- Update: version 0.5.3.
* Wed Mar 03 1999 - ke@suse.de
- Update: version 0.5.1 (bugfix release).
* Fri Feb 19 1999 - ro@suse.de
- added esound and audiofil to neededforbuild
* Fri Feb 12 1999 - ke@suse.de
- New package: version 0.5.0.
